Subject: bug#68956: M-q → Invalid predicate, see ‘treesit-thing-settings’ for valid forms for a predicate: nil

From: Dominique Quatravaux <[email-masked]>
Date: Tue, 6 Feb 2024 18:32:27 +0100

When invoking `prog-fill-reindent-defun' from inside a bash-ts-mode buffer,
an exception (regardless of where point is), an error is raised that reads

Invalid predicate, see ‘treesit-thing-settings’ for valid forms for a
predicate: nil

Investigation reveals that `prog-fill-reindent-defun' calls
`treesit-node-match-p' with 'text as the second argument, which can only
succeed if `(assq 'text (assq 'bash treesit-thing-settings))' is non-nil;
whereas the corresponding setting for `treesit-thing-settings' prepared by
`bash-ts-mode', doesn't provide a value for 'text (only for 'sentence).

--
 Dominique Quatravaux
 [email-masked]